Skip to main content

Sales Invoice

Sale Invoice Calls: https://api.covasoft.net/invoice/

Endpoints​

EndpointDescription
GET v1/Companies({CompanyId})/Invoices({InvoiceId})This call returns a finalized sale invoice by ID
GET v1/Companies({CompanyId})/InvoiceSummaries?filter={filter}Gets Invoice Summaries for a Company with Filtering

GET v1/Companies({CompanyId})/Invoices({InvoiceId})​

This call returns a finalized sale invoice by ID

Base URL:​

https://api.covasoft.net/invoice

Example of a call would be:​

https://api.covasoft.net/invoice/v1/Companies({CompanyId})/Invoices({InvoiceId})

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdCompany Id from your onboarding packageintegerRequired
InvoiceIdSales Invoice Guid Id that you want to get the Sales Order Idglobally unique identifierRequired

Body Parameters​

None.

Response Information​

Resource Description​

Get Sales Order Id from Sales Invoice

GetSalesOrderIdFromInvoiceIdReturn

NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
OriginalInvoiceIdglobally unique identifierNone.
LocationIdintegerNone.
UserIdintegerNone.
PrintableIdstringNone.
OriginalPrintableIdstringNone.
ReceiptNumberstringNone.
OriginalReceiptNumberstringNone.
NotesstringNone.
AnnotationstringNone.
InvoiceTypestringNone.
CustomerCustomerNone.
OrdersCollection of InvoiceOrderNone.
PaymentsCollection of InvoicePaymentNone.
DiscountsDiscountsNone.
ChangeDuedecimal numberNone.
CashBackdecimal numberNone.
TaxCalculationResultTaxCalculationResultNone.
SaleOverridesstringNone.
CreatedByUserstringNone.
CreatedDateUtcdateNone.

Response Formats​

application/json, text/json

{
"Id": "5cf01fa9-0f33-4c71-8ac4-3620e2a1bb86",
"OriginalInvoiceId": "4469ef9c-db50-4cc1-807b-7a62282a8207",
"LocationId": 2,
"UserId": 3,
"PrintableId": "sample string 4",
"OriginalPrintableId": "sample string 5",
"ReceiptNumber": "sample string 6",
"OriginalReceiptNumber": "sample string 7",
"Notes": "sample string 8",
"Annotation": "sample string 9",
"InvoiceType": "sample string 10",
"Customer": {
"Id": "cec50bbc-f7b4-4de2-a0d2-0b9f6ea351a5",
"Number": "sample string 2",
"FullName": "sample string 3",
"ShippingAddressId": "sample string 4",
"ShippingAddress": "sample string 5",
"BillingAddress": "sample string 6",
"BillingAddressId": "sample string 7",
"AddressId": "sample string 8",
"MedicalInformation": "sample string 9"
},
"Orders": [
{
"Id": "3f5e3cef-dd7f-40c9-a8cf-8f0a816deb8a",
"PrintableId": "sample string 2",
"ReferenceId": "sample string 3",
"Items": [
{
"LineNumber": 1,
"ProductId": "20e374bc-c7ca-4625-ac16-4931a096c776",
"Quantity": 3,
"UnitId": 4,
"UnitAbbreviation": "sample string 5",
"Lot": "sample string 6",
"SoldAtPrice": 7,
"SalePrice": 1.1,
"ListPrice": 8,
"Description": "sample string 9",
"Sku": "sample string 10",
"SerialNumber": "sample string 11",
"Total": 12,
"Attributes": {
"equivalent To": "sample string 1",
"net Weight": "sample string 2",
"retail Marijuana Product Type": "sample string 3"
}
},
{
"LineNumber": 1,
"ProductId": "20e374bc-c7ca-4625-ac16-4931a096c776",
"Quantity": 3,
"UnitId": 4,
"UnitAbbreviation": "sample string 5",
"Lot": "sample string 6",
"SoldAtPrice": 7,
"SalePrice": 1.1,
"ListPrice": 8,
"Description": "sample string 9",
"Sku": "sample string 10",
"SerialNumber": "sample string 11",
"Total": 12,
"Attributes": {
"equivalent To": "sample string 1",
"net Weight": "sample string 2",
"retail Marijuana Product Type": "sample string 3"
}
}
]
},
{
"Id": "3f5e3cef-dd7f-40c9-a8cf-8f0a816deb8a",
"PrintableId": "sample string 2",
"ReferenceId": "sample string 3",
"Items": [
{
"LineNumber": 1,
"ProductId": "20e374bc-c7ca-4625-ac16-4931a096c776",
"Quantity": 3,
"UnitId": 4,
"UnitAbbreviation": "sample string 5",
"Lot": "sample string 6",
"SoldAtPrice": 7,
"SalePrice": 1.1,
"ListPrice": 8,
"Description": "sample string 9",
"Sku": "sample string 10",
"SerialNumber": "sample string 11",
"Total": 12,
"Attributes": {
"equivalent To": "sample string 1",
"net Weight": "sample string 2",
"retail Marijuana Product Type": "sample string 3"
}
},
{
"LineNumber": 1,
"ProductId": "20e374bc-c7ca-4625-ac16-4931a096c776",
"Quantity": 3,
"UnitId": 4,
"UnitAbbreviation": "sample string 5",
"Lot": "sample string 6",
"SoldAtPrice": 7,
"SalePrice": 1.1,
"ListPrice": 8,
"Description": "sample string 9",
"Sku": "sample string 10",
"SerialNumber": "sample string 11",
"Total": 12,
"Attributes": {
"equivalent To": "sample string 1",
"net Weight": "sample string 2",
"retail Marijuana Product Type": "sample string 3"
}
}
]
}
],
"Payments": [
{
"Id": "f8c75b7e-173e-41d0-81de-8d936fd7ce13",
"OriginalPaymentId": "sample string 2",
"DrawerId": "bae2ce16-a956-4ae6-bc0b-382d2c52deb2",
"Last4Digits": 1,
"CustomerAccountId": "sample string 4",
"PaymentMethodId": 5,
"PaymentMethodName": "sample string 6",
"Amount": 7.1,
"TransactionDateUtc": "2026-10-02T17:43:58.8462196+00:00"
},
{
"Id": "f8c75b7e-173e-41d0-81de-8d936fd7ce13",
"OriginalPaymentId": "sample string 2",
"DrawerId": "bae2ce16-a956-4ae6-bc0b-382d2c52deb2",
"Last4Digits": 1,
"CustomerAccountId": "sample string 4",
"PaymentMethodId": 5,
"PaymentMethodName": "sample string 6",
"Amount": 7.1,
"TransactionDateUtc": "2026-10-02T17:43:58.8462196+00:00"
}
],
"Discounts": {
"Id": "sample string 1",
"InvoiceLevel": [
{
"Id": "sample string 1",
"Name": "sample string 2",
"Type": "sample string 3",
"DiscountType": "sample string 4",
"DiscountLevel": "sample string 5",
"TaxApplication": "sample string 6",
"Amount": 7.1,
"ReasonForDiscountId": "sample string 8",
"PromotionId": "sample string 9",
"LoyaltyRewardId": "sample string 10",
"LineLevelBreakdown": [
{
"LineNumber": 1,
"Amount": 2.1
},
{
"LineNumber": 1,
"Amount": 2.1
}
]
},
{
"Id": "sample string 1",
"Name": "sample string 2",
"Type": "sample string 3",
"DiscountType": "sample string 4",
"DiscountLevel": "sample string 5",
"TaxApplication": "sample string 6",
"Amount": 7.1,
"ReasonForDiscountId": "sample string 8",
"PromotionId": "sample string 9",
"LoyaltyRewardId": "sample string 10",
"LineLevelBreakdown": [
{
"LineNumber": 1,
"Amount": 2.1
},
{
"LineNumber": 1,
"Amount": 2.1
}
]
}
],
"LineLevel": [
{
"Id": "sample string 1",
"Name": "sample string 2",
"Type": "sample string 3",
"DiscountType": "sample string 4",
"DiscountLevel": "sample string 5",
"TaxApplication": "sample string 6",
"Amount": 7.1,
"ReasonForDiscountId": "sample string 8",
"PromotionId": "sample string 9",
"LoyaltyRewardId": "sample string 10",
"LineLevelBreakdown": [
{
"LineNumber": 1,
"Amount": 2.1
},
{
"LineNumber": 1,
"Amount": 2.1
}
]
},
{
"Id": "sample string 1",
"Name": "sample string 2",
"Type": "sample string 3",
"DiscountType": "sample string 4",
"DiscountLevel": "sample string 5",
"TaxApplication": "sample string 6",
"Amount": 7.1,
"ReasonForDiscountId": "sample string 8",
"PromotionId": "sample string 9",
"LoyaltyRewardId": "sample string 10",
"LineLevelBreakdown": [
{
"LineNumber": 1,
"Amount": 2.1
},
{
"LineNumber": 1,
"Amount": 2.1
}
]
}
],
"Total": 2.1
},
"ChangeDue": 11.1,
"CashBack": 12.1,
"TaxCalculationResult": {
"Id": "a9021674-e249-486d-b43c-55023f9300d6",
"Lines": [
{
"LineNumber": "sample string 1",
"Taxable": 2,
"Rate": 3,
"Tax": 4.1,
"ExemptAmount": 5,
"Discount": 6.1,
"TaxDetails": [
{
"TaxId": "ead677a9-db32-43ca-b241-beb85021e8e2",
"CountryCode": "sample string 2",
"RegionCode": "sample string 3",
"TaxType": "sample string 4",
"TaxAuthority": "sample string 5",
"TaxAuthorityType": "sample string 6",
"Rate": 7.1,
"Tax": 8.1,
"Exemptions": "sample string 9",
"Taxable": 10,
"TaxName": "sample string 11",
"Layer": 12
},
{
"TaxId": "ead677a9-db32-43ca-b241-beb85021e8e2",
"CountryCode": "sample string 2",
"RegionCode": "sample string 3",
"TaxType": "sample string 4",
"TaxAuthority": "sample string 5",
"TaxAuthorityType": "sample string 6",
"Rate": 7.1,
"Tax": 8.1,
"Exemptions": "sample string 9",
"Taxable": 10,
"TaxName": "sample string 11",
"Layer": 12
}
]
},
{
"LineNumber": "sample string 1",
"Taxable": 2,
"Rate": 3,
"Tax": 4.1,
"ExemptAmount": 5,
"Discount": 6.1,
"TaxDetails": [
{
"TaxId": "ead677a9-db32-43ca-b241-beb85021e8e2",
"CountryCode": "sample string 2",
"RegionCode": "sample string 3",
"TaxType": "sample string 4",
"TaxAuthority": "sample string 5",
"TaxAuthorityType": "sample string 6",
"Rate": 7.1,
"Tax": 8.1,
"Exemptions": "sample string 9",
"Taxable": 10,
"TaxName": "sample string 11",
"Layer": 12
},
{
"TaxId": "ead677a9-db32-43ca-b241-beb85021e8e2",
"CountryCode": "sample string 2",
"RegionCode": "sample string 3",
"TaxType": "sample string 4",
"TaxAuthority": "sample string 5",
"TaxAuthorityType": "sample string 6",
"Rate": 7.1,
"Tax": 8.1,
"Exemptions": "sample string 9",
"Taxable": 10,
"TaxName": "sample string 11",
"Layer": 12
}
]
}
]
},
"SaleOverrides": "sample string 13",
"CreatedByUser": "sample string 14",
"CreatedDateUtc": "2026-10-02T17:43:58.8462196+00:00"
}

Models​

Customer
NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
NumberstringNone.
FullNamestringNone.
ShippingAddressIdstringNone.
ShippingAddressstringNone.
BillingAddressstringNone.
BillingAddressIdstringNone.
AddressIdstringNone.
MedicalInformationstringNone.
InvoiceOrder
NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
PrintableIdstringNone.
ReferenceIdstringNone.
ItemsCollection of InvoiceItemNone.
Discounts
NameDescriptionTypeAdditional information
IdstringNone.
InvoiceLevelCollection of InvoiceLevelNone.
LineLevelCollection of LineLevelNone.
Totaldecimal numberNone.
TaxCalculationResult
NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
LinesCollection of InvoiceLineNone.
InvoiceItem
NameDescriptionTypeAdditional information
LineNumberintegerNone.
ProductIdglobally unique identifierNone.
QuantityintegerNone.
UnitIdintegerNone.
UnitAbbreviationstringNone.
LotstringNone.
SoldAtPriceintegerNone.
SalePricedecimal numberNone.
ListPriceintegerNone.
DescriptionstringNone.
SkustringNone.
SerialNumberstringNone.
TotalintegerNone.
AttributesAttributesNone.
InvoiceLevel
NameDescriptionTypeAdditional information
IdstringNone.
NamestringNone.
TypestringNone.
DiscountTypestringNone.
DiscountLevelstringNone.
TaxApplicationstringNone.
Amountdecimal numberNone.
ReasonForDiscountIdstringNone.
PromotionIdstringNone.
LoyaltyRewardIdstringNone.
LineLevelBreakdownCollection of LineLevelBreakdownNone.
LineLevel
NameDescriptionTypeAdditional information
IdstringNone.
NamestringNone.
TypestringNone.
DiscountTypestringNone.
DiscountLevelstringNone.
TaxApplicationstringNone.
Amountdecimal numberNone.
ReasonForDiscountIdstringNone.
PromotionIdstringNone.
LoyaltyRewardIdstringNone.
LineLevelBreakdownCollection of LineLevelBreakdownNone.
InvoiceLine
NameDescriptionTypeAdditional information
LineNumberstringNone.
TaxableintegerNone.
RateintegerNone.
Taxdecimal numberNone.
ExemptAmountintegerNone.
Discountdecimal numberNone.
TaxDetailsCollection of InvoiceTaxDetailNone.
Attributes
NameDescriptionTypeAdditional information
equivalent TostringNone.
net WeightstringNone.
retail Marijuana Product TypestringNone.
LineLevelBreakdown
NameDescriptionTypeAdditional information
LineNumberintegerNone.
Amountdecimal numberNone.
InvoiceTaxDetail
NameDescriptionTypeAdditional information
TaxIdglobally unique identifierNone.
CountryCodestringNone.
RegionCodestringNone.
TaxTypestringNone.
TaxAuthoritystringNone.
TaxAuthorityTypestringNone.
Ratedecimal numberNone.
Taxdecimal numberNone.
ExemptionsstringNone.
TaxableintegerNone.
TaxNamestringNone.
LayerintegerNone.

GET v1/Companies({CompanyId})/InvoiceSummaries?filter={filter}​

Gets Invoice Summaries for a Company with Filtering

Base URL:​

https://api.covasoft.net/invoice

Example of a call would be:​

https://api.covasoft.net/invoice/v1/Companies({CompanyId})/InvoiceSummaries?$filter=ReceiptNumber eq '{ReceiptNumber}'

Odata Filters

PrintableId eq '{InvoiceNumber}'

ReceiptNumber eq '{ReceiptNumber}'

PrintableId eq '{PrintableId}'

LocationId eq {LocationId}

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding pacakage.integerRequired
filterThe Odata filter applied to this call, see Odata filter section abovestringNone.

Body Parameters​

None.

Response Information​

Resource Description​

Invoice Summaries for a Company with Filtering

Collection of GetInvoiceSummariesReturn

NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
PrintableIdstringNone.
ReceiptNumberstringNone.
InvoiceTotaldecimal numberNone.
CashBackintegerNone.
InvoiceTypestringNone.
PaymentTypesstringNone.
CustomerIdglobally unique identifierNone.
CustomerNamestringNone.
LocationIdintegerNone.
UserIdintegerNone.
CreatedByUserstringNone.
CreatedDateUtcdateNone.

Response Formats​

application/json, text/json

[
{
"Id": "3dbc4203-1613-4faa-b021-05dec3d9c906",
"PrintableId": "sample string 2",
"ReceiptNumber": "sample string 3",
"InvoiceTotal": 4.1,
"CashBack": 5,
"InvoiceType": "sample string 6",
"PaymentTypes": "sample string 7",
"CustomerId": "92bb0b9e-0b05-4083-8387-81c7b3ead2fc",
"CustomerName": "sample string 8",
"LocationId": 9,
"UserId": 10,
"CreatedByUser": "sample string 11",
"CreatedDateUtc": "2026-10-02T17:44:01.3618682+00:00"
},
{
"Id": "3dbc4203-1613-4faa-b021-05dec3d9c906",
"PrintableId": "sample string 2",
"ReceiptNumber": "sample string 3",
"InvoiceTotal": 4.1,
"CashBack": 5,
"InvoiceType": "sample string 6",
"PaymentTypes": "sample string 7",
"CustomerId": "92bb0b9e-0b05-4083-8387-81c7b3ead2fc",
"CustomerName": "sample string 8",
"LocationId": 9,
"UserId": 10,
"CreatedByUser": "sample string 11",
"CreatedDateUtc": "2026-10-02T17:44:01.3618682+00:00"
}
]